<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.lv.removesetup.jtp</name>
<version>13</version>
<engineversion>25</engineversion>
<description>JTP - disabling script</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$lv&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>'trtt'</var></line>
<line linenr="002" indent=""><var>skip&#160;if&#160;</var><var>$lv</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="003" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><text>set&#160;global&#160;variable:&#160;name=</text><var>'trtt'</var><text>&#160;value=</text><var>1</var></line>
<line linenr="006" indent=""></line>
<line linenr="007" indent=""><var>$race&#160;=&#160;</var><var>Argon</var></line>
<line linenr="008" indent=""><var>$b&#160;=&#160;</var><var>0</var></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""><var>loop</var><text>:</text></line>
<line linenr="011" interruptable="@" indent=""><var>=&#160;</var><text>wait&#160;</text><var>1</var><text>&#160;ms</text></line>
<line linenr="012" indent=""><var>$x&#160;=&#160;</var><text>get&#160;max&#160;sectors&#160;in&#160;x&#160;direction</text></line>
<line linenr="013" indent=""><var>while&#160;</var><var>$x</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="014" indent="&#160;"><text>dec&#160;</text><var>$x&#160;=&#160;</var></line>
<line linenr="015" indent="&#160;"><var>$y&#160;=&#160;</var><text>get&#160;max&#160;sectors&#160;in&#160;y&#160;direction</text></line>
<line linenr="016" indent="&#160;"><var>while&#160;</var><var>$y</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="017" indent="&#160;&#160;"><text>dec&#160;</text><var>$y&#160;=&#160;</var></line>
<line linenr="018" indent="&#160;&#160;"><var>$ran&#160;=&#160;</var><text>get&#160;sector&#160;from&#160;universe&#160;index:&#160;x=</text><var>$x</var><text>,&#160;y=</text><var>$y</var></line>
<line linenr="019" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$ran</var></line>
<line linenr="020" indent="&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="021" indent="&#160;&#160;"><var>$ships&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>$ran</var><text>&#160;class&#160;or&#160;type=</text><var>Big&#160;Ship</var><text>&#160;race=</text><var>$race</var><text>&#160;flags=</text><var>[Find.Multiple]</var><text>&#160;refobj=</text><var>null</var><text>&#160;maxdist=</text><var>null</var><text>&#160;maxnum=</text><var>100</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="022" indent="&#160;&#160;"><var>$ships.size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ships</var></line>
<line linenr="023" indent="&#160;&#160;"><var>while&#160;</var><var>$ships.size</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="024" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$ships.size&#160;=&#160;</var></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>$ship&#160;=&#160;</var><var>$ships</var><text>[</text><var>$ships.size</var><text>]</text></line>
<line linenr="026" indent="&#160;&#160;&#160;"><var>$command&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;command</text></line>
<line linenr="027" indent="&#160;&#160;&#160;"><var>$ship&#160;-&gt;</var><text>&#160;connect&#160;ship&#160;command/signal&#160;</text><var>SIGNAL_ATTACKED</var><text>&#160;to&#160;script&#160;</text><call>!ship.signal.attacked</call><text>&#160;with&#160;prio&#160;</text><var>0</var></line>
<line linenr="028" indent="&#160;&#160;&#160;"><var>$ship&#160;-&gt;</var><text>&#160;set&#160;ship&#160;command/signal&#160;</text><var>SIGNAL_ATTACKED</var><text>&#160;to&#160;global&#160;default&#160;behaviour</text></line>
<line linenr="029" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="030" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$command</var><text>&#160;</text><var>==</var><text>&#160;</text><var>COMMAND_PATROL</var></line>
<line linenr="031" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>START&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!ship.cmd.killenemiesrange.std</call><text>&#160;:&#160;</text><text>&#160;range=</text><var>35000</var><text>&#160;</text><text>&#160;refpos=</text><var>$ship</var><text>&#160;</text><text>&#160;noidle=</text><var>[TRUE]</var></line>
<line linenr="032" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="033" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="034" indent="&#160;&#160;"><text>end</text></line>
<line linenr="035" indent="&#160;"><text>end</text></line>
<line linenr="036" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>1</var><text>&#160;ms</text></line>
<line linenr="037" indent=""><text>end</text></line>
<line linenr="038" indent=""></line>
<line linenr="039" indent=""><var>if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>0</var></line>
<line linenr="040" indent="&#160;"><text>inc&#160;</text><var>$b&#160;=&#160;</var></line>
<line linenr="041" indent="&#160;"><var>$race&#160;=&#160;</var><var>Boron</var></line>
<line linenr="042" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="043" indent=""><var>else&#160;if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>1</var></line>
<line linenr="044" indent="&#160;"><text>inc&#160;</text><var>$b&#160;=&#160;</var></line>
<line linenr="045" indent="&#160;"><var>$race&#160;=&#160;</var><var>Split</var></line>
<line linenr="046" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="047" indent=""><var>else&#160;if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>2</var></line>
<line linenr="048" indent="&#160;"><text>inc&#160;</text><var>$b&#160;=&#160;</var></line>
<line linenr="049" indent="&#160;"><var>$race&#160;=&#160;</var><var>Paranid</var></line>
<line linenr="050" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="051" indent=""><var>else&#160;if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>3</var></line>
<line linenr="052" indent="&#160;"><text>inc&#160;</text><var>$b&#160;=&#160;</var></line>
<line linenr="053" indent="&#160;"><var>$race&#160;=&#160;</var><var>Teladi</var></line>
<line linenr="054" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="055" indent=""><var>else&#160;if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>4</var></line>
<line linenr="056" indent="&#160;"><text>set&#160;global&#160;variable:&#160;name=</text><var>'trtt'</var><text>&#160;value=</text><var>null</var></line>
<line linenr="057" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="058" indent=""><text>end</text></line>
<line linenr="059" indent=""></line>
<line linenr="060" indent=""></line>
<line linenr="061" indent=""></line>
<line linenr="062" indent=""></line>
<line linenr="063" indent=""></line>
<line linenr="064" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.lv.removesetup.jtp" /><sval type="int" val="25" /><sval type="string" val="JTP - disabling script" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="array" size="10"><sval type="string" val="lv" /><sval type="string" val="race" /><sval type="string" val="b" /><sval type="string" val="x" /><sval type="string" val="y" /><sval type="string" val="ran" /><sval type="string" val="ships" /><sval type="string" val="ships.size" /><sval type="string" val="ship" /><sval type="string" val="command" /></sval><sval type="array" size="56"><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="5" /><sval type="string" val="trtt" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536870137" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="157" /><sval type="int" val="5" /><sval type="string" val="trtt" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="loop" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="801" /><sval type="int" val="3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604535" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="802" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605047" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="800" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536866553" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="12" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="12" /><sval type="int" val="2073" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="111" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605303" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="7" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="525" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="9" /></sval><sval type="array" size="8"><sval type="int" val="113" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="18" /><sval type="int" val="1000" /><sval type="string" val="!ship.signal.attacked" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="114" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="18" /><sval type="int" val="1000" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="-1610605565" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605565" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="18" /><sval type="int" val="25" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="!ship.cmd.killenemiesrange.std" /><sval type="int" val="-2147483646" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="35000" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="19" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="12" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610603261" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="55" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601979" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="55" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600699" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="55" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599419" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="55" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610598651" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="157" /><sval type="int" val="5" /><sval type="string" val="trtt" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="16"><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
